package com.ruoyi.ext.api.validate;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 自定义字典校验注解
 * 
 * @author ruoyi
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(value = { ElementType.METHOD, ElementType.FIELD, ElementType.CONSTRUCTOR, ElementType.PARAMETER })
@Constraint(validatedBy = { DictValidator.class })
public @interface DictV
{
    String name() default "";

    String message() default "参数不符合规范";

    String type() default "";

    boolean isMuti() default false;

    Class<?>[] groups() default { };
    Class<? extends Payload>[] payload() default { };
}
